MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022053Community[OCCT] OCCT:Modeling Algorithmspublic2010-10-07 12:322011-11-24 11:50
Reporterszy 
Assigned Tojgv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 6.5.0 
Summary0022053: Synchronization of the implementation and the documentation for Geom_ConicalSurface
DescriptionCommunity:
1. "currently I am working with cones and I am curious if the evaluation code is
correct. In 'Geom_ConicalSurface.hxx' is said 'The parametric equation of the
cone is: P(u, v) = O + (R + v*tan(Ang)) * (cos(u)*XDir + sin(u)*YDir) + v*ZDir'.
But 'ElSLib.cxx' contains different implementation in ElSLib::ConeValue which
gives different results."

2."That's it: ElSLib returns ... + V*ZDir * cos(Angle). Thus, the v parameter is
a length along the generatrix, not the Z coordinate.
I was scratching my head for a couple of hours when was working on CAD Exchanger
Parasolid converter. Parasolid has the parametrization as documented in Open
CASCADE .hxx but Open CASCADE is not consistent with it ;-).

So it is the Open CASCADE cdl file (Geom_ConicalSurface.cdl) that needs to be
fixed to write a correct formula."
Additional information
and documentation updates
Documentation remark, added by JGV 2011-02-08 13:47:13:

Improvements:
Comments in cdl file are modified to agree with implementation in cxx
Modified entities:
Geom_ConicalSurface.cdl
TagsNo tags attached.
Test case number
Attached Files7z file icon jgv-OCC22053.7z (3,370 bytes) 2011-02-08 15:33

- Relationships

-  Notes
(0016098)
bugmaster (administrator)
2011-02-14 13:37

Fix has been integrated to occt repository

Date: 2011-02-14 13:35:09 +0300 (Mon, 14 Feb 2011)
New Revision: 8368

Modified:
   trunk/src/Geom/Geom_ConicalSurface.cdl

- Issue History
Date Modified Username Field Change
2011-02-07 15:04 bugmaster Status closed => assigned
2011-02-07 15:04 bugmaster Resolution suspended => @0@
2011-02-07 15:04 bugmaster Assigned To bugmaster => jgv
2011-02-08 15:37 jgv Status assigned => resolved
2011-02-14 13:37 bugmaster Status resolved => verified
2011-04-06 18:57 bugmaster Status verified => closed
2011-04-06 18:57 bugmaster Resolution @0@ => fixed
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-11-24 11:50 szy Description Updated View Revisions
2011-11-24 11:50 szy Additional Information Updated View Revisions


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker